API Reference
Add onboarding flow information
/v2/onboarding_flow https://api.cable.tech Endpoint for adding new Onboarding Flow information
Authentication
- Bearer token in the Authorization header
onboarding_flow:write
Request body
-
onboarding_flow_idstring requiredUnique identifier for an onboarding flow belonging to an onboarding flow. This is the primary key for an onboarding flow and should be unique across all onboarding flows. Updates to an onboarding flow should be made using this identifier.
-
timestampstring requiredWhen this onboarding flow step occurred in your system, in ISO 8601 format.
Format
date-time -
related_company_idstringUnique identifier of the related company entity (used for business contexts). Only one of related_company_id and related_person_id can be specified.
Example
company-id-12345 -
related_person_idstringUnique identifier of the related person entity (used for retail contexts or when a person is the subject). Only one of related_company_id and related_person_id can be specified.
Example
person-id-56789 -
flow_namestring requiredLatest onboarding flow that this entity has gone through, e.g. manual KYC, automated onboarding, Simplified Due Diligence, Enhanced Due Diligence
Example
Manual KYC -
outcomestring requiredOutcome for the latest onboarding flow that this entity has gone through, e.g. automated approval, manual approval, automated rejection, manual rejection, EDD required
Example
automated approval -
outcome_reasonstring | objectOption 1: string
Option 2: object
Responses
201 Onboarding flow added successfully
-
successboolean requiredIndicates if the write operation was successful.
-
write_countinteger requiredThe number of records written to the database.
Format
int32 -
messagestring requiredProvides additional information about the operation result.
-
organization_idstring requiredThe organization ID for which the operation was performed.
Errors
- 400 Invalid onboarding flow data
- 401 Unauthorized request
- 409 Onboarding flow already exists
- 429 Rate limit exceeded
- 500 Server error
- default General error
-
codeinteger requiredFormat
int32 -
messagestring required -
errorslist of objectsDetailed information about errors in specific fields.
-
fieldstring -
messagestring
-